Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.control
Class LoginController

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.support.WebContentGenerator
                  org.springframework.web.servlet.mvc.AbstractController
                      org.springframework.web.servlet.mvc.multiaction.MultiActionController
                          com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
                              com.jaspersoft.jasperserver.war.control.LoginController

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware, org.springframework.web.context.ServletContextAware, org.springframework.web.servlet.mvc.Controller, org.springframework.web.servlet.mvc.LastModified

    public class LoginController

extends JRBaseMultiActionController

Author:
  swood

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
`objPermService, repository, userAuthService`

Fields inherited from class org.springframework.web.servlet.mvc.multiaction.MultiActionController
`DEFAULT_COMMAND_NAME, LAST_MODIFIED_METHOD_SUFFIX, PAGE_NOT_FOUND_LOG_CATEGORY, pageNotFoundLogger`

Fields inherited from class org.springframework.web.servlet.support.WebContentGenerator
`METHOD_GET, METHOD_HEAD, METHOD_POST`

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Constructor Summary
`LoginController()`

Method Summary
`java.lang.String` | `getDefaultHomePage()`
`java.util.List` | `getHomePageByRole()`
`java.util.List` | `getHomePageByRoleEntries()`
`org.springframework.web.servlet.ModelAndView` | `homePage(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.springframework.web.servlet.ModelAndView` | `loginSuccess(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` If successfully logged in, make sure we have a user in our database that corresponds to the UserDetails we have been given.
`void` | `setDefaultHomePage(java.lang.String defaultHomePage)`
`void` | `setHomePageByRole(java.util.List homePageByRole)` Converts basic Spring list to Map.Entry
`void` | `setHomePageByRoleEntries(java.util.List homePageByRoleEntries)`

Methods inherited from class com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
`getAllRoles, getAllUsers, getObjPermService, getOlapUnits, getReportUnit, getReportUnit, getReportUnits, getRepository, getUserAuthService, setObjPermService, setRepository, setUserAuthService`

Methods inherited from class org.springframework.web.servlet.mvc.multiaction.MultiActionController
`bind, createBinder, getCommandName, getExceptionHandler, getLastModified, getMethodNameResolver, getValidators, handleNoSuchRequestHandlingMethod, handleRequestInternal, initBinder, initBinder, invokeNamedMethod, newCommandObject, setDelegate, setMethodNameResolver, setValidators`

Methods inherited from class org.springframework.web.servlet.mvc.AbstractController
`handleRequest, isSynchronizeOnSession, setSynchronizeOnSession`

Methods inherited from class org.springframework.web.servlet.support.WebContentGenerator
`applyCacheSeconds, applyCacheSeconds, cacheForSeconds, cacheForSeconds, checkAndPrepare, checkAndPrepare, getCacheSeconds, getSupportedMethods, isRequireSession, isUseCacheControlHeader, isUseExpiresHeader, preventCaching, setCacheSeconds, setRequireSession, setSupportedMethods, setUseCacheControlHeader, setUseExpiresHeader`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginController

    public LoginController()

Method Detail

### homePage

    public org.springframework.web.servlet.ModelAndView homePage(javax.servlet.http.HttpServletRequest req,
                                                                 javax.servlet.http.HttpServletResponse res)
                                                          throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### loginSuccess

    public org.springframework.web.servlet.ModelAndView loginSuccess(javax.servlet.http.HttpServletRequest req,
                                                                     javax.servlet.http.HttpServletResponse res)
                                                              throws javax.servlet.ServletException

  If successfully logged in, make sure we have a user in our database that corresponds to the UserDetails we have been given. This allows users that are managed and authenticated externally to us to become part of the environment. Also forward on to the correct home page for the user, based on external configuration.

  Parameters:
    `req` -
    `res` -
  Returns:
  Throws:
    `javax.servlet.ServletException`

### getDefaultHomePage

    public java.lang.String getDefaultHomePage()

  Returns:
    Returns the defaultHomePage.

### setDefaultHomePage

    public void setDefaultHomePage(java.lang.String defaultHomePage)

  Parameters:
    `defaultHomePage` - The defaultHomePage to set.

### getHomePageByRole

    public java.util.List getHomePageByRole()

  Returns:
    Returns the homePageByRole.

### setHomePageByRole

    public void setHomePageByRole(java.util.List homePageByRole)

  Converts basic Spring list to Map.Entry

  Parameters:
    `homePageByRole` - The homePageByRole to set.

### getHomePageByRoleEntries

    public java.util.List getHomePageByRoleEntries()

  Returns:
    Returns the homePageByRoleEntries.

### setHomePageByRoleEntries

    public void setHomePageByRoleEntries(java.util.List homePageByRoleEntries)

  Parameters:
    `homePageByRoleEntries` - The homePageByRoleEntries to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.